commit: 584bde557d54130bc1f2ccbb7905834ebcb78a3b
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Apr 25 10:48:36 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Apr 25 10:48:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=584bde55
dev-python/text-unidecode: pytest verbose (-vv)
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/text-unidecode/text-unidecode-1.3.ebuild | 7 +++----
1 file changed, 3 insertions(+), 4 deletions(-)
diff --git a/dev-python/text-unidecode/text-unidecode-1.3.ebuild
b/dev-python/text-unidecode/text-unidecode-1.3.ebuild
index 496d2de..cf75f07 100644
--- a/dev-python/text-unidecode/text-unidecode-1.3.ebuild
+++ b/dev-python/text-unidecode/text-unidecode-1.3.ebuild
@@ -13,12 +13,11 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( Artistic GPL-1 GPL-2+ )"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND="test? ( dev-python/pytest )"
RDEPEND=""
+distutils_enable_tests pytest
+
python_prepare_all() {
sed -i '/pytest-runner/d' setup.py
distutils-r1_python_prepare_all
@@ -29,5 +28,5 @@ python_test() {
cd "${TEST_DIR}" || die
cp "${S}/test_unidecode.py" . || die
cp "${S}/setup.cfg" . || die
- pytest || die "Tests fail with ${EPYTHON}"
+ pytest -vv || die "Tests fail with ${EPYTHON}"
}